com.jscape.inet.ssh.protocol.v2.transport.keyexchange

## Class ComponentClientKeyExchangeFactory.Entry

- java.lang.Object
- - com.jscape.inet.ssh.protocol.v2.transport.keyexchange.ComponentClientKeyExchangeFactory.Entry

- Direct Known Subclasses:
    ClientKeyExchanges.Entry
  Enclosing class:
    ComponentClientKeyExchangeFactory

      public static class ComponentClientKeyExchangeFactory.Entry
      extends java.lang.Object

  A factory entry.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `com.jscape.inet.ssh.protocol.v2.transport.keyexchange.ClientKeyExchange` | `clientKeyExchange`
    `java.lang.String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Entry(java.lang.String name, com.jscape.inet.ssh.protocol.v2.transport.keyexchange.ClientKeyExchange clientKeyExchange)` Creates a new entry instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final java.lang.String name

    - #### clientKeyExchange

          public final com.jscape.inet.ssh.protocol.v2.transport.keyexchange.ClientKeyExchange clientKeyExchange

  - ### Constructor Detail

    - #### Entry

          public Entry(java.lang.String name,
                       com.jscape.inet.ssh.protocol.v2.transport.keyexchange.ClientKeyExchange clientKeyExchange)

      Creates a new entry instance.
      Parameters:
        `name` - a SSH algorithm name
        `clientKeyExchange` - a key exchange instance

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved